package cz.zweistein.gw.predictor.comparators;

import java.util.Comparator;

import cz.zweistein.gw.predictor.model.Predicable;

public class PredicableByPredicted implements Comparator<Predicable> {

	public int compare(Predicable arg0, Predicable arg1) {
		if (arg0.getPredictedOrder() == arg1.getPredictedOrder()) {
			return 0;
		} else  if (arg0.getPredictedOrder() < arg1.getPredictedOrder()) {
			return -1;
		} else {
			return 1;
		}
	}

}
