package cz.zweistein.gw.predictor.comparators;

import java.util.Comparator;

import cz.zweistein.gw.predictor.model.Predicable;
import cz.zweistein.gw.predictor.model.Ratios;

public class PredicateByRatios implements Comparator<Predicable> {

	private Ratios ratios;

	public PredicateByRatios(Ratios ratios) {
		this.ratios = ratios;
	}

	public int compare(Predicable o1, Predicable o2) {
		if (o1.getAgregateOrder(this.ratios) == o2.getAgregateOrder(this.ratios)) {
			return 0;
		} else  if (o1.getAgregateOrder(this.ratios) < o2.getAgregateOrder(this.ratios)) {
			return -1;
		} else {
			return 1;
		}
	}

}
